Bug 149362 - 3 * array subscript out of range
3 * array subscript out of range
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: abe (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-22 12:30 EST by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-01 17:05:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-22 12:30:39 EST
Description of problem:

I just tried to compile package abe-1.0-3 from 
Redhat Fedora Extras development tree.

The compiler said

1.

src/Image.c(125): warning #175: subscript out of range

The source code is

          img_gem[2] = image_count;

but, earlier in the same file,

int img_balloon[3], img_gem[2], img_bullet[4], img_slide_left[3],
img_slide_right[3], img_slideback;

Suggest code rework.

2.

src/Menu.c(105): warning #1011: missing return statement at end of
non-void function "isEnabled"

The source code is

int isEnabled(int n) {
  if(n == SOUND_ENABLED || n == MUSIC_ENABLED)
        return sound_loaded;
}

Suggest add statement for the else case.

3.

src/Game.c(538): warning #175: subscript out of range
src/Game.c(552): warning #175: subscript out of range

Duplicates.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Panu Matilainen 2005-04-11 12:25:58 EDT
This should take care of these warnings and also fixes build with gcc4:
http://fedora.laiskiainen.org/SRPMS.extras/abe-1.0-5.src.rpm

If somebody with cvs-access cares to import...
Comment 2 Michael Schwendt 2005-04-12 10:39:55 EDT
Panu, probably nobody will notice import requests in bugzilla unless you add
somebody via "Cc". I don't know who else does random "changes in last 14 days"
queries and only then stumbles into tickets like this.

Anyway, imported above package into devel tree.
Comment 3 Michael Schwendt 2005-07-01 17:05:10 EDT
Fixed in FE4, abe-1.0-5.

Note You need to log in before you can comment on or make changes to this bug.